/**
 * Beschreibt Uhrzeiten.
 * 
 * @author Owyn
 * @version 2008-05-16
 */
public class ClockTime {
    
    private int h;
    private int m;
    private int s;
    
    /**
     * Erzeugt eine neue Uhrzeit 00:00:00.
     */
    ClockTime() {
        h = 0;
        m = 0;
        s = 0;
    }
    
    /**
     * Erzeugt eine neue Uhrzeit.
     * 
     * @param hours Stunden der Uhrzeit
     * @param minutes Minuten der Uhrzeit
     * @param seconds Sekunden der Uhrzeit
     */
    ClockTime(int hours, int minutes, int seconds) {
        h = (hours + (minutes + seconds / 60) / 60) % 24;
        m = (minutes + seconds / 60) % 60;
        s = seconds % 60;
    }
    
    /**
     * Kopiert eine andere Uhrzeit.
     * 
     * @param ct Uhrzeit, mit der die neue Uhrzeit intialisiert werden soll
     */
    ClockTime(ClockTime ct) {
        h = ct.getHours();
        m = ct.getMinutes();
        s = ct.getSeconds();
    }
    
    /**
     * @return Stunden der Uhrzeit
     */    
    public int getHours() { return h; }
    
    /**
     * @return Minuten der Uhrzeit
     */
    public int getMinutes() { return m; }
    
    /**
     * @return Sekunden der Uhrzeit
     */
    public int getSeconds() { return s; }
    
    /**
     * Vergleicht zwei Uhrzeiten.
     * 
     * @return true, wenn beide Objekte die selbe Zeitangabe haben, sonst false.
     */    
    public boolean isSame(ClockTime ct) {
        return h == ct.getHours()
            && m == ct.getMinutes()
            && s == ct.getSeconds();
    }
    
}