/**
 * Beschreibt Uhrzeiten.
 * 
 * @author Owyn
 * @version 2008-05-16
 */
public class ClockTime2 {
    
    private int s;
    
    /**
     * Erzeugt eine neue Uhrzeit 00:00:00.
     */
    ClockTime2() {
        s = 0;
    }
    
    /**
     * Erzeugt eine neue Uhrzeit.
     * 
     * @param hours Stunden der Uhrzeit
     * @param minutes Minuten der Uhrzeit
     * @param seconds Sekunden der Uhrzeit
     */
    ClockTime2(int hours, int minutes, int seconds) {
        s = (hours * 3600 + minutes * 60 + seconds) % 86400; // 24 * 60 * 60 = 86400
    }
    
    /**
     * Kopiert eine andere Uhrzeit.
     * 
     * @param ct Uhrzeit, mit der die neue Uhrzeit intialisiert werden soll
     */
    ClockTime2(ClockTime2 ct) {
        s = ct.getRAW();
    }
    
    /**
     * @return Stunden der Uhrzeit
     */    
    public int getHours() { return s / 3600; }
    
    /**
     * @return Minuten der Uhrzeit
     */
    public int getMinutes() { return (s / 60) % 60; }
    
    /**
     * @return Sekunden der Uhrzeit
     */
    public int getSeconds() { return s % 60; }
    
    /**
     * @return Sekunden der Uhrzeit seit Mitternacht
     */
    public int getRAW() { return s; }

    /**
     * Vergleicht zwei Uhrzeiten.
     * 
     * @return true, wenn beide Objekte die selbe Zeitangabe haben, sonst false.
     */    
    public boolean isSame(ClockTime2 ct) {
        return s == ct.getRAW();
    }
    
}